## ros-iron-novatel-gps-driver 4.1.1

=== debian/changelog ===
ros-iron-novatel-gps-driver (4.1.1-1jammy) jammy; urgency=high

  * Merge pull request #116 <https://github.com/swri-robotics/novatel_gps_driver/issues/116> from devrite/115-fix-humble-build-errors-tf2-and-rclcpp-components
    Fix humble build errors tf2 and rclcpp_components
  * Include tf2 to geometry_msgs header
    Fixes #115 <https://github.com/swri-robotics/novatel_gps_driver/issues/115>
  * cmake: add rclcpp_components to deps
  * Merge pull request #109 <https://github.com/swri-robotics/novatel_gps_driver/issues/109> from Smiffe/dashing-devel
    expected_rate based on polling_period parameter
  * Merge pull request #113 <https://github.com/swri-robotics/novatel_gps_driver/issues/113> from ksuszka/galactic-launch-fix
    Fix example launch files to work under Galactic
  * expected_rate based on polling_period parameter
  * Merge pull request #108 <https://github.com/swri-robotics/novatel_gps_driver/issues/108> from ksuszka/dashing-devel
    Fix compilation warning on Galactic
  * Contributors: David Anthony, Krzysztof Suszka, Markus Hofstaetter, PBed

 -- P. J. Reed <preed@swri.org>  Fri, 21 Oct 2022 05:00:00 -0000

ros-iron-novatel-gps-driver (4.1.0-1jammy) jammy; urgency=high

  * Add param to disable invalid GPSFixes, replace GPRMC with BESTVEL (ROS2) (#94 <https://github.com/swri-robotics/novatel_gps_driver/issues/94>)
  * Use rclcpp::WallRate to sleep instead of boost (ROS2) (#86 <https://github.com/swri-robotics/novatel_gps_driver/issues/86>)
  * Refactor GPSFix generation (ROS2) (#73 <https://github.com/swri-robotics/novatel_gps_driver/issues/73>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 06 Oct 2020 05:00:00 -0000

ros-iron-novatel-gps-driver (4.0.3-1jammy) jammy; urgency=high

  * Handle GPGSV log with 0 satellites correctly (#77 <https://github.com/pjreed/novatel_gps_driver/issues/77>)
  * Fill out error measurements in GPSFix messages (#71 <https://github.com/pjreed/novatel_gps_driver/issues/71>)
  * Fix covariance in GPSFix messages (#69 <https://github.com/pjreed/novatel_gps_driver/issues/69>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 06 Mar 2020 06:00:00 -0000

ros-iron-novatel-gps-driver (4.0.2-1jammy) jammy; urgency=high

  * Add dependency on tf2_geometry_msgs (#67 <https://github.com/swri-robotics/novatel_gps_driver/issues/67>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 18 Nov 2019 06:00:00 -0000

ros-iron-novatel-gps-driver (4.0.1-1jammy) jammy; urgency=high

  * Add missing dependencies (#66 <https://github.com/swri-robotics/novatel_gps_driver/issues/66>)
  * Add epson g370 (#63 <https://github.com/swri-robotics/novatel_gps_driver/issues/63>)
  * Contributors: P. J. Reed, icolwell-as

 -- P. J. Reed <preed@swri.org>  Fri, 15 Nov 2019 06:00:00 -0000

ros-iron-novatel-gps-driver (4.0.0-1jammy) jammy; urgency=high

  * ROS2 Dashing support (#61 <https://github.com/pjreed/novatel_gps_driver/issues/61>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-iron-novatel-gps-driver (3.9.0-1jammy) jammy; urgency=high

  * Use GPGGA quality to set GPSFix status (#55 <https://github.com/swri-robotics/novatel_gps_driver/issues/55>)
  * Publish INSPVAX logs (#54 <https://github.com/swri-robotics/novatel_gps_driver/issues/54>)
  * Add GPHDT message (#51 <https://github.com/swri-robotics/novatel_gps_driver/issues/51>)
  * Fix ascii header message id in novatel_gps.cpp (#50 <https://github.com/swri-robotics/novatel_gps_driver/issues/50>)
  * Correctly convert novatel header flags to bool and add tests for them (#48 <https://github.com/swri-robotics/novatel_gps_driver/issues/48>)
  * Add DUALANTENNAHEADING msg (#46 <https://github.com/swri-robotics/novatel_gps_driver/issues/46>)
  * Add HEADING2 msg (#43 <https://github.com/swri-robotics/novatel_gps_driver/issues/43>)
  * Add BESTXYZ msg (#42 <https://github.com/swri-robotics/novatel_gps_driver/issues/42>)
  * Contributors: Marcel Zeilinger, Matthew, Michael McConnell, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-iron-novatel-gps-driver (3.8.0-1jammy) jammy; urgency=high

  * Add fix for messages build order (#41 <https://github.com/swri-robotics/novatel_gps_driver/issues/41>)
  * Add clocksteering parsing (#40 <https://github.com/swri-robotics/novatel_gps_driver/issues/40>)
  * Only unlogall for the current port (#36 <https://github.com/swri-robotics/novatel_gps_driver/issues/36>)
  * Contributors: Matthew, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 04 Jun 2019 05:00:00 -0000

ros-iron-novatel-gps-driver (3.7.0-1jammy) jammy; urgency=high

  * Added IMU: Honeywell HG4930 AN01 (#31 <https://github.com/swri-robotics/novatel_gps_driver/issues/31>)
  * Added launch file to test an Ethernet interface. (#33 <https://github.com/swri-robotics/novatel_gps_driver/issues/33>)
  * Contributors: Rinda Gunjala, Zach Oakes

 -- P. J. Reed <preed@swri.org>  Fri, 22 Mar 2019 05:00:00 -0000

ros-iron-novatel-gps-driver (3.6.0-1jammy) jammy; urgency=high

  * Allow setting the serial baud rate through serial_baud ROS parameter
  * Add support for BESTUTM log
  * Add support for INSPVAX log (#27)
  * Contributors: Ellon Paiva Mendes, Sagnik Basu

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-iron-novatel-gps-driver (3.5.0-1jammy) jammy; urgency=high

  * Update documentation
  * Fix parsing of gprmc messages for OEM4 models (#22)
  * Finish serial commands with [CR][LF] (Carriage-Return Line-Feed) (#21)
  * Adds configuration parameter span_frame_to_ros_frame. (#20)
  * Adds additional IMUs defined in the OEM7 firmware. (#17)
  * Enable the driver to determine IMU sample rate from the IMU type (#9)
  * Contributors: Ellon Paiva Mendes, Joshua Whitley, Matthew, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 17 Jul 2018 05:00:00 -0000

ros-iron-novatel-gps-driver (3.4.0-1jammy) jammy; urgency=high


