=== debian/control ===
Source: ros-iron-novatel-gps-driver
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libpcap0.8-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-index-cpp <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-diagnostic-msgs, ros-iron-diagnostic-updater, ros-iron-gps-msgs, ros-iron-nav-msgs, ros-iron-novatel-gps-msgs, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-swri-math-util, ros-iron-swri-roscpp, ros-iron-swri-serial-util, ros-iron-tf2, ros-iron-tf2-geometry-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-novatel-gps-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libpcap0.8-dev, ros-iron-diagnostic-msgs, ros-iron-diagnostic-updater, ros-iron-gps-msgs, ros-iron-nav-msgs, ros-iron-novatel-gps-msgs, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-swri-math-util, ros-iron-swri-roscpp, ros-iron-swri-serial-util, ros-iron-tf2, ros-iron-tf2-geometry-msgs, ros-iron-ros-workspace
Description: Driver for NovAtel receivers
